package com.njzscloud.supervisory.discount.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njzscloud.common.mp.support.PageParam;
import com.njzscloud.common.mp.support.PageResult;
import com.njzscloud.supervisory.discount.pojo.DiscountManageEntity;

import java.util.List;

/**
 * 优惠管理
 */
public interface DiscountManageService extends IService<DiscountManageEntity> {

    /**
     * 新增
     */
    void add(DiscountManageEntity discountManageEntity);

    /**
     * 修改
     */
    void modify(DiscountManageEntity discountManageEntity);

    /**
     * 删除
     */
    void del(List<Long> ids);

    /**
     * 详情
     */
    DiscountManageEntity detail(Long id);

    /**
     * 分页查询
     */
    PageResult<DiscountManageEntity> paging(PageParam pageParam, DiscountManageEntity discountManageEntity);

}

